Index: src/unittests/LinkedCellUnitTest.cpp
===================================================================
--- src/unittests/LinkedCellUnitTest.cpp	(revision 4eb4fe704b5f87bedd7f4eec06861f2f98bff9df)
+++ src/unittests/LinkedCellUnitTest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
@@ -196,6 +196,5 @@
   // check internal vectors, returns false, because this atom is not in LC-list!
   Walker = World::getInstance().createAtom();
-  Walker->Name = Malloc<char>(6, "LinkedCellTest::SetIndexToNodeTest - Walker");
-  strcpy(Walker->Name, "test");
+  Walker->setName("test");
   Walker->x= Vector(1,1,1);
   CPPUNIT_ASSERT_EQUAL( false, LC->SetIndexToNode(Walker) );
@@ -204,6 +203,5 @@
   // check out of bounds vectors
   Walker = World::getInstance().createAtom();
-  Walker->Name = Malloc<char>(6, "LinkedCellTest::SetIndexToNodeTest - Walker");
-  strcpy(Walker->Name, "test");
+  Walker->setName("test");
   Walker->x = Vector(0,-1,0);
   CPPUNIT_ASSERT_EQUAL( false, LC->SetIndexToNode(Walker) );
Index: src/unittests/tesselation_boundarytriangleunittest.cpp
===================================================================
--- src/unittests/tesselation_boundarytriangleunittest.cpp	(revision 4eb4fe704b5f87bedd7f4eec06861f2f98bff9df)
+++ src/unittests/tesselation_boundarytriangleunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
@@ -37,19 +37,16 @@
   tesselpoints[0] = new TesselPoint;
   tesselpoints[0]->node = new Vector(0., 0., 0.);
-  tesselpoints[0]->Name = Malloc<char>(3, "TesselationBoundaryTriangleTest::setUp - *Name");
-  strcpy(tesselpoints[0]->Name, "1");
+  tesselpoints[0]->setName("1");
   tesselpoints[0]->nr = 1;
   points[0] = new BoundaryPointSet(tesselpoints[0]);
   tesselpoints[1] = new TesselPoint;
   tesselpoints[1]->node = new Vector(0., 1., 0.);
-  tesselpoints[1]->Name = Malloc<char>(3, "TesselationBoundaryTriangleTest::setUp - *Name");
-  strcpy(tesselpoints[1]->Name, "2");
+  tesselpoints[1]->setName("2");
   tesselpoints[1]->nr = 2;
   points[1] = new BoundaryPointSet(tesselpoints[1]);
   tesselpoints[2] = new TesselPoint;
-  tesselpoints[2] ->node = new Vector(1., 0., 0.);
-  tesselpoints[2] ->Name = Malloc<char>(3, "TesselationBoundaryTriangleTest::setUp - *Name");
-  strcpy(tesselpoints[2] ->Name, "3");
-  tesselpoints[2] ->nr = 3;
+  tesselpoints[2]->node = new Vector(1., 0., 0.);
+  tesselpoints[2]->setName("3");
+  tesselpoints[2]->nr = 3;
   points[2] = new BoundaryPointSet(tesselpoints[2] );
 
Index: src/unittests/tesselation_insideoutsideunittest.cpp
===================================================================
--- src/unittests/tesselation_insideoutsideunittest.cpp	(revision 4eb4fe704b5f87bedd7f4eec06861f2f98bff9df)
+++ src/unittests/tesselation_insideoutsideunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
@@ -38,48 +38,40 @@
   Walker = new TesselPoint;
   Walker->node = new Vector(0., 0., 0.);
-  Walker->Name = Malloc<char>(3, "TesselationInOutsideTest::setUp - *Name");
-  strcpy(Walker->Name, "1");
+  Walker->setName("1");
   Walker->nr = 1;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(0., 1., 0.);
-  Walker->Name = Malloc<char>(3, "TesselationInOutsideTest::setUp - *Name");
-  strcpy(Walker->Name, "2");
+  Walker->setName("2");
   Walker->nr = 2;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(1., 0., 0.);
-  Walker->Name = Malloc<char>(3, "TesselationInOutsideTest::setUp - *Name");
-  strcpy(Walker->Name, "3");
+  Walker->setName("3");
   Walker->nr = 3;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(1., 1., 0.);
-  Walker->Name = Malloc<char>(3, "TesselationInOutsideTest::setUp - *Name");
-  strcpy(Walker->Name, "4");
+  Walker->setName("4");
   Walker->nr = 4;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(0., 0., 1.);
-  Walker->Name = Malloc<char>(3, "TesselationInOutsideTest::setUp - *Name");
-  strcpy(Walker->Name, "5");
+  Walker->setName("5");
   Walker->nr = 5;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(0., 1., 1.);
-  Walker->Name = Malloc<char>(3, "TesselationInOutsideTest::setUp - *Name");
-  strcpy(Walker->Name, "6");
+  Walker->setName("6");
   Walker->nr = 6;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(1., 0., 1.);
-  Walker->Name = Malloc<char>(3, "TesselationInOutsideTest::setUp - *Name");
-  strcpy(Walker->Name, "7");
+  Walker->setName("7");
   Walker->nr = 7;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(1., 1., 1.);
-  Walker->Name = Malloc<char>(3, "TesselationInOutsideTest::setUp - *Name");
-  strcpy(Walker->Name, "8");
+  Walker->setName("8");
   Walker->nr = 8;
   Corners.push_back(Walker);
Index: src/unittests/tesselationunittest.cpp
===================================================================
--- src/unittests/tesselationunittest.cpp	(revision 4eb4fe704b5f87bedd7f4eec06861f2f98bff9df)
+++ src/unittests/tesselationunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
@@ -37,24 +37,20 @@
   Walker = new TesselPoint;
   Walker->node = new Vector(1., 0., -1.);
-  Walker->Name = Malloc<char>(3, "TesselationTest::setUp");
-  strcpy(Walker->Name, "1");
+  Walker->setName("1");
   Walker->nr = 1;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(-1., 1., -1.);
-  Walker->Name = Malloc<char>(3, "TesselationTest::setUp");
-  strcpy(Walker->Name, "2");
+  Walker->setName("2");
   Walker->nr = 2;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(-1., -1., -1.);
-  Walker->Name = Malloc<char>(3, "TesselationTest::setUp");
-  strcpy(Walker->Name, "3");
+  Walker->setName("3");
   Walker->nr = 3;
   Corners.push_back(Walker);
   Walker = new TesselPoint;
   Walker->node = new Vector(-1., 0., 1.);
-  Walker->Name = Malloc<char>(3, "TesselationTest::setUp");
-  strcpy(Walker->Name, "4");
+  Walker->setName("4");
   Walker->nr = 4;
   Corners.push_back(Walker);
